"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("./controller");
const metadata_1 = require("../metadata");
describe("Controller Decorators", function () {
    describe("@controller", function () {
        it("sets the controller metadata", function () {
            let TestClass = class TestClass {
            };
            TestClass = __decorate([
                controller_1.controller("/")
            ], TestClass);
            expect(metadata_1.getControllerMetadata(TestClass)).toBeDefined();
        });
        it("sets the controller root path", function () {
            const path = "/foo/bar";
            let TestClass = class TestClass {
            };
            TestClass = __decorate([
                controller_1.controller(path)
            ], TestClass);
            expect(metadata_1.getControllerMetadata(TestClass).path).toEqual(path);
        });
    });
});
//# sourceMappingURL=controller.spec.js.map