"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.joinURL = void 0;
const url_1 = require("url");
function joinURL(root, ...path) {
    var url = new url_1.URL(root);
    url.pathname = [...stripTrailingSlash(url.pathname).split("/"), ...path].join("/");
    return url.toString();
}
exports.joinURL = joinURL;
function stripTrailingSlash(str) {
    if (str[str.length - 1] === "/") {
        return str.substr(0, str.length - 1);
    }
    return str;
}
//# sourceMappingURL=url-utils.js.map